#include <iostream>
#include <stdio.h>
#include "ACSS.h"
#include "ACSSKernel.h"


void ProcessIOfunc (char const* arg)
{
    ACSS data(arg);
    xmlInputDataStruct xmlIn;
    
	// construct the xml string
	printf("  subject = '%s'>\n", data.sessionName.c_str());
    printf("<data>\n");
    printf("The University of Texas M. D. Anderson Cancer Center\n");
	printf("Sample Size and Power Estimation for Animal Carcinogenicity Studies\n");
	printf("\n");
	printf("Reference: \"A Web-based Simulator for Sample Size and Power \n");
	printf("           Estimation in Animal Carcinogenicity Studies.\"\n");
	printf("           Hojin Moon, J. Jack Lee, Hongshik Ahn and Rumiana G. Nikolova,\n");
	printf("           Journal of Statistical Software. (2002)  In Press.\n");
    printf("\n");
    printf("\n");

    if (data.error)
    {
        printf("An error occurred: error code = %d", data.error);
    }     
    else
    {
	    initializeXMLStruct(&xmlIn,&data);
        composeStruct(&xmlIn,&data);
		//For initial testing only
	    dumpXMLStructToFile(&xmlIn,&data);
        //data.Dump();
        try
		{
             ACSSFunc(xmlIn);
        // sprintf(pReturnString, ...);
        }
		catch (const char *s)
        {
			std::cout<<"\n";
			std::cout<< "An exception occured:\n";
			std::cout << s << "\n";
			 
		}
        // initializeXMLStruct allocates a bunch of memory
	    cleanupXMLStruct(&xmlIn, &data);  /* LHW */
	}

    
}


