
#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
#include <iostream>
#include <string>
#include <stdio.h>
#include <windows.h>
#include "ACSS.h"
#include "ACSSKernel.h"

#include <CPP_SEH.h>       // For catching exceptions - No .CPP file is needed.
 
static bool endOfInput (std::string arg);

bool endOfInput (std::string arg)
{
    if (arg.find("acss") != arg.rfind("acss")) 
        return true;
    return false;
}

static void GetModuleDir(std::string& strDir, char* const pszModule)
{
    std::string strTmp = pszModule;

    int nLastSlash;
    nLastSlash = strTmp.find_last_of('\\');

    if (nLastSlash < 0)
    {
        strDir = "";
    }
    else
    {
        strDir = strTmp.substr(0, nLastSlash + 1);
    }
}


int main( int argc, char **argv )
{
    char* pszModule    = argv[0]; // module name, e.g., C:\Projects\ACCS\Process.exe
    std::string strDir;           // passed to GetUniqueFilename( )
    char ReturnString[2047+1];
	ReturnString[0]='\0'; 
	
    // generate the body of the xml string
	printf("<?xml version='1.0'  encoding='ISO-8859-1'?>\n");
    printf("<BSMQ \n");
	printf("   status  = 'OK' \n");
    
	GetModuleDir(strDir, pszModule);

    CPP_SEH::MapSEtoCE();  // Call the static function, just to set things up. (just do this ONCE)

    

    std::string arg = "";

    if (argc == 2)
    {
        char* pszInputFile = argv[1]; // xml file name

        FILE* fp = fopen( pszInputFile, "r" );
   
        if (NULL == fp) 
        {
			printf(" >\n");
			printf("<data>\n");
            std::cout << "The file '" << pszInputFile  << "' was not opened.\n";
			// close the XML string tags before exit
			printf("</data>\n");
            printf("</BSMQ>\n");
            return 1;
        }

        char szBuff[1024];

        while (EOF != fscanf(fp, "%s", szBuff))
        {
            arg += szBuff;
            arg += " ";
        }
        fclose(fp);
	    
    } 
    else
    {
        std::string buffer;
        while (std::cin >> buffer)
        {
            arg += buffer;
            arg += " ";
            if (endOfInput(arg)) 
                break;
        }

    }



    // try-catch because of possible memory allocation problems or exit by randlib
    try
    {
		 
        ProcessIOfunc(arg.c_str());
 
    }
    catch( CPP_SEH & se )
    {
        DWORD ex = se;      // Uses operator DWORD in CPP_SEH
        std::string strErr("An exception: ");
        strErr += se.GetErrorMessage (ex);

        strcpy(ReturnString, strErr.c_str());
    } 
    catch(...)
    {
      // You can also catch whatever else you expect your code to 'throw'.
      // std::cout << "A 'dot.dot.dot' exception was caught."  << "\n" ;
    }  
    
	std::cout << ReturnString << std::endl;

    // close the XML string tags before exit
	printf("</data>\n");
    printf("</BSMQ>\n");             
    return 0;
}


 
 
