#ifndef DRIVEP_H
#define DRIVEP_H

#include "cplusplus.h"

typedef struct{
	int selectedSeed;
	int numberDoseGroups;
	double* doseLevel;
	int * numberAnimalsInGroup;
	int numberSacrifices;
	int * sacrificeTimepoint;
	int durationOfStudy;
	int **numberInterimSacrifices;
	double shapeParameter;
	double * competingRiskSurvRate;
	double  tumorLethalityParameter;
	int numberDataSets;
	double testLevel;
	int testSides;
	double * hazardRate;
	double tumorOnsetProbability;
	char sessionName[50];
}xmlInputDataStruct;

typedef struct{
	int intvl_flg;
	int fix_intvl;
	int* N;
	int* sactime;
	double* avg_t1;
	double* avg_t3;
	double* avg_leth;
	double* divisor;
	int** d_avg;
	int** a1_avg;
	int** b1_avg; 
	int** a2_avg;
	int** b2_avg;
}avgInputDataStruct;



/*
 * Public Functions
 */

_BEGIN_CPLUSPLUS 
int ACSSFunc(xmlInputDataStruct);
 
int *allocate_integer_vector(int, int);
int **mem_alloc_mat_int(int, int, int, int);
double *allocate_real_vector(int,int);
double **memory_alloc_mat(int, int, int, int);
void free_real_vector(double *, int);
void free_integer_vector(int *, int);
void free_real_matrix(double **, int, int, int);
void free_int_matrix(int **, int, int, int); 
 
_END_CPLUSPLUS 

#endif /* DRIVEP_H*/
