<%

// Pack the data for the current simulation into an XML string
function packSimDataIntoXML()
{
    var xml = "<acss ";
    
    xml += "numgroups = 'x1' ";
    xml += "numsacrifices = 'x2' "; 
    xml += "studyduration = 'x3' " ; 
    xml += "tumoronsetprob = 'x4' ";
    xml += "shapeparameter = 'x5' ";
    xml += "lethalityrate = 'x6' ";
    xml += "tumorlethalityparameter = 'x7' ";
    xml += "numdatasets  = 'x8' ";
    xml += "testlevel  = 'x9' ";
    xml += "testsides  = 'k1' ";
    xml += "seed = 'k2' ";
    xml += "multiplicity = 'k3' ";
    xml += "sessionName = 'k4'>";

    xml = xml.replace(/x1/, Session("NumDoseGroups"));
    xml = xml.replace(/x2/, Session("NumSacrifices"));
    xml = xml.replace(/x3/, Session("StudyDuration"));
    xml = xml.replace(/x4/, Session("TumorOnsetProb"));
    xml = xml.replace(/x5/, Session("ShapeParameter"));
    xml = xml.replace(/x6/, Session("LethalityRate"));
    xml = xml.replace(/x7/, Session("TumorLethalityParameter"));
    xml = xml.replace(/x8/, Session("NumDataSets"));
    xml = xml.replace(/x9/, Session("TestLevel"));
    xml = xml.replace(/k1/, Session("TestSides"));
    xml = xml.replace(/k2/, Session("FixedSeed"));
    xml = xml.replace(/k3/, Session("Experiments"));
    xml = xml.replace(/k4/, Session("sessionName"));
 
	
    var i, temp, length;

    var groupTemplate = "<group crsr='xx' DoseMetric ='zz' num='yy' NumPerGroup='ff' />";
    for (i = 0; i < Session("NumDoseGroups"); i++)
    {
        temp = groupTemplate.replace(/xx/, Session("crsr" + i));
        temp = temp.replace(/zz/,Session("DoseMetric"+i));
        temp = temp.replace(/ff/, Session("NumPerGroup"+i));
        xml += temp.replace(/yy/, i);
    }

    var groupHazardTemplate = "<hazardgroup  HazardRate ='xx' />";
    for (i = 1; i < Session("NumDoseGroups"); i++)
    {
        temp = groupHazardTemplate.replace(/xx/, Session("HazardRate" + i));
        xml += temp;
    }

    var sacrificeTemplate = "<sacrifice  SacrificeTimes='yy' num='zz'/>";

    for (i = 1; i <= Session("NumSacrifices")-1; i++)
    {
        temp = sacrificeTemplate.replace(/yy/, Session("SacrificeTimes"+i));
        xml += temp.replace(/zz/, i);
    }

    var interimSacrificesTemplate = "<interimsacrifices  numInterimSacrifices ='xx' />";
    length = Session("NumDoseGroups")*(Session("NumSacrifices")-1); 
    for (i = 0; i < length ; i++)
    {
        temp = interimSacrificesTemplate.replace(/xx/, Session("InterimSacrificeTimes" + i));
        xml += temp;
    }

    var emailTemplate = "<guestemail email='xx' />";
    xml += emailTemplate.replace(/xx/,Session("Email")); 
    xml += "</acss>";
 
    return xml;
}

 
%>
