#include "xmlutil.h"
#include <string.h>

// Utilities to get attributes when using expat

// expat returns attributes as an array of strings. 
// The array alternates attribute names and values, starting with a name.
// The array ends with a null attribute.
const char* getStringAttribute(const char **atts, const char* att)
{
    int pos = 0;
    while (atts[pos] != 0)
    {
        if (strcmp(atts[pos], att) == 0)
            return atts[pos+1];
        pos += 2;
    }
    return 0;
}

double getNumberAttribute(const char **atts, const char* att)
{
    double d;
    const char* sz = getStringAttribute(atts, att);
    if (sz)
        sscanf(sz, "%lf", &d);
    return d;    
}

bool getBooleanAttribute(const char **atts, const char* att)
{
    const char* sz = getStringAttribute(atts, att);
    return (stricmp(sz, "yes") == 0);
}

